%define upstream_name    Opcodes
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Opcodes info from opnames.h and opcode.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
More Opcodes information from opnames.h and opcode.h.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177821
- update to 0.11

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165115
- add a description
- imported package perl-Opcodes


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
